import { levelUpdateClient } from "../Classes/Incoming/levelUpdateClient";
import { playerData } from "../Classes/playerData";

export function playerUpdate(socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : levelUpdateClient = JSON.parse(buff.toString('utf-8'));

    let player : playerData = socket.player
    if(player == null){
        console.log("Error! Player not spawned!")
        return
    }
    
    player.rigidbody = data1.player.rigidbody
    if(data1.player.hasOwnProperty("damageInfo"))
        player.damageInfo = player.damageInfo.concat(data1.player.damageInfo)
}