import { clear } from "./_clear";
import { enter } from "./_enter";
import { playerUpdate } from "./_playerUpdate";
import { projectile } from "./_projectile";
import { update } from "./_update";

export function registerLevelCallbacks(socket){
    socket.on('level/enter', (data) => {
        enter(socket, data)
    });

    socket.on('level/cleared', (data) => {
        clear(socket, data)
    });

    socket.on('level/update', (data) => {
        update(socket, data)
    });

    socket.on('level/playerUpdate', (data) => {
        playerUpdate(socket, data)
    });

    socket.on('level/projectile', (data) => {
        projectile(socket, data)
    });
}