import { loadoutChanged } from "./_loadoutChanged";
import { message } from "./_message";
import { playerJoin } from "./_playerJoin";

export function registerLobbyCallbacks(socket){
    socket.on('lobby/playerJoin', (data) => {
        playerJoin(socket, data)
    });

    socket.on('lobby/loadoutChanged', (data) => {
        loadoutChanged(socket, data)
    });

    socket.on('lobby/message', (data) => {
        message(socket, data)
    });
}